functor_traits< R(C::*)(Args...) const >::arg< I >

## Public Types

using | type = typename std::tuple_element< I, std::tuple< Args... > >::type
using | decay_type = typename std::decay< type >::type

## Detailed Description

### template<typename C, typename R, typename... Args>
template<std::size_t I>
struct rheolef::details::functor_traits< R(C::*)(Args...) const >::arg< I >

Definition at line 153 of file field_expr_utilities.h.

## Member Typedef Documentation

## type

using type = typename std::tuple_element<I, std::tuple<Args...> >::type

Definition at line 155 of file field_expr_utilities.h.

## decay_type

using decay_type = typename std::decay<type>::type

Definition at line 156 of file field_expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/field_expr_utilities.h